### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-icon/ecl-icon.component.ts`

### Implements

`AfterViewInit` `OnDestroy`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
selector | `ecl-icon`
templateUrl | `./ecl-icon.component.html`

### Index

###### Properties
Public el
###### Methods
getClasses
###### Inputs
ariaHidden ariaLabelledby color eclSize focusable icon role size styleClass transform
###### Accessors
size

### Constructor

`constructor(el: ElementRef)`
Parameters :
Name | Type | Optional
el | `ElementRef` | No

### Inputs

ariaHidden
Type : `boolean`
Default value : `true`

ariaLabelledby
Type : `string`

color
Type : `string`

eclSize
Type : `string`
Default value : `'xs'`

focusable
Type : `boolean`
Default value : `false`

icon
Type : `string`

role
Type : `string`

size
Type : `string`

styleClass
Type : `string`

transform
Type : `string`

### Methods

getClasses
`getClasses()`
Returns : `{ [x: string]: string | boolean; [`ecl-icon`]: boolean; }`

### Properties

Public el
Type : `ElementRef`

### Accessors

size
set `size(value: string)`
Parameters :
Name | Type | Optional
value | `string` | No
Returns : `void`

# result-matching ""

# No results matching ""